from fastapi import APIRouter, Depends, HTTPException, status
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.fruit import FruitCreate, FruitSchema
from helpers.fruit_helpers import create_fruit

router = APIRouter()

@router.post("/names", status_code=status.HTTP_201_CREATED, response_model=FruitSchema)
async def create_name(
    fruit: FruitCreate,
    db: Session = Depends(get_db)
):
    new_fruit = create_fruit(db=db, fruit=fruit)
    if not new_fruit:
        raise HTTPException(status_code=400, detail="Fruit could not be created")
    return new_fruit